REP(1)

NAME
rep - Librep Interpreter

SYNOPSIS
rep [ options ][ FILE [ SCRIPT-OPTIONS .. ] ]

DESCRIPTION

rep is the `librep' interpreter, a dialect of Lisp.

Unless the batch mode is specified, it enters the interactive mode. Read Info for the details.

OPTIONS

FILE
    load the Lisp file FILE (implies --batch)

SCRIPT-OPTIONS
    Passed to Lisp via command-line-args variable.

--batch
    Batch mode: process options and exit.

--interp
    Interpreted mode: don't load compile Lisp files.

-f FUNCTION --call FUNCTION
    Call the Lisp function FUNCTION.

-l FILE --load FILE
    Load the file of Lisp forms called FILE.

--version
    Print version details.

--no-rc
    Don't load rc or site-init files.

-q --quit
    Terminate the interpreter process.

SEE ALSO

The programs are documented fully by John Harper available via the Info system.

AUTHOR

This manual page was written by Christian Marillat <marillat@debian.org> for the Debian GNU/Linux system (but may be used by others).